
Infrastructure - Task #7654

Story # 7652 (Closed): Enable simple metrics reporting for core services

report on log aggregation activity

2016-02-23 19:31 - Dave Vieglais

Status: Closed Start date: 2016-02-23

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: performance-scalability Estimated time: 0.00 hour

Target version: CCI-2.2.0   

Milestone: None Story Points:  

Product Version: *   

Description

At a minimum, report on the size of the log aggregation backlog.

Results should be written to a file that is easily parsed with various languages. Two common options include JSON and CSV. A CSV

file would be convenient for appending entries if more than a single record is to be kept.

Contents of the file are to be determined but should include the size of the log aggregation backlog, and may include additional per

member node information such as the timestamp of the last log retrieval and perhaps the number of current log retrieval tasks for that

MN.

Associated revisions

Revision 18023 - 2016-05-31 16:55 - Robert Waltz

refs #7654

Enable simple metrics reporting for core services: report on log aggregation activity

Revision 18023 - 2016-05-31 16:55 - Robert Waltz

refs #7654

Enable simple metrics reporting for core services: report on log aggregation activity

Revision 18070 - 2016-06-09 20:34 - Robert Waltz

refs #7654

use same datetime for metricLogEvent messages per harvest

Revision 18070 - 2016-06-09 20:34 - Robert Waltz

refs #7654

use same datetime for metricLogEvent messages per harvest

History

#1 - 2016-05-31 16:56 - Robert Waltz

- Status changed from New to In Progress

- % Done changed from 0 to 30
#2 - 2016-05-31 16:57 - Robert Waltz

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

#3 - 2016-06-14 19:45 - Robert Waltz

- % Done changed from 50 to 100

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed
